QALC(1)

NAME
qalc - Powerful and easy to use command line calculator

SYNOPSIS
qalc [options] [expression]

DESCRIPTION
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple to use but provides power and versatility normally reserved for complicated math packages, as well as useful tools for everyday needs (such as currency conversion and percent calculation). Features include a large library of customizable functions, unit calculations and conversion, physical constants, symbolic calculations (including integrals and equations), arbitrary precision, uncertainty propagation, interval arithmetic, plotting, and a user-friendly interface. qalc is the command line interface of Qalculate!.

OPTIONS

-b, --base base
    set the number base for results and, optionally, expressions

-e, --exrates
    update exchange rates

-f, --file file
    execute commands from a file first

-h, --help
    display this help and exits

-i, --interactive
    start in interactive mode

-l, --list [search term]
    displays a list of all user-defined or matching variables, functions and units.

--list-functions [search term]
    displays a list of all or matching functions.

--list-units [search term]
    displays a list of all or matching units.

--list-variables [search term]
    displays a list of all or matching variables.

-m, --time MILLISECONDS
    terminate calculation and display of result after specified amount of time

-n, --nodefs
    do not load any functions, units, or variables from file

--nocurrencies
    do not load any global currencies from file

--nodatasets
    do not load any global data sets from file

--nofunctions
    do not load any global functions from file

--nounits
    do not load any global units from file

--novariables
    do not load any global variables from file

-p [base]
    start in programming mode (same as -b "base base" -s "xor^", with base conversion)

-s, --set "option value"
    as set command in interactive program session (ex. --set "base 16")

-t, --terse
    reduce output to just the result of the input expression

-/+u8
    switch unicode support on/off

-v, --version
    show application version and exit

The program will start in interactive mode if no expression and no file is specified (or interactive mode is explicitly selected). Type help in interactive mode to get more information about available commands.

SEE ALSO
https://qalculate.github.io/

BUGS
Please report any bugs at https://github.com/Qalculate/libqalculate/issues

AUTHORS
Hanna Knutsson <hanna.knutsson@protonmail.com>.